Skip to main content
POST
/
v1
/
fields
/
interpret
Interpret fields
curl --request POST \
  --url https://api.pointset.io/v1/fields/interpret \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entity_type": "restaurant",
  "fields": [
    {
      "name": "menu_url",
      "description": "URL to the online menu"
    }
  ]
}
'
{
  "interpretations": [
    {
      "name": "<string>",
      "understood_as": "<string>",
      "confidence": "high",
      "suggestion": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.pointset.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
entity_type
string
required
Minimum string length: 1
Example:

"restaurant"

fields
object[]
required
Minimum array length: 1

Response

OK

interpretations
object[]
required